shell-conduit-5.0.0: Write shell scripts with Conduit

Safe Haskell | None
Language | Haskell2010

Data.Conduit.Shell.Variadic

Description

Variadic process calling.

Synopsis

- class ProcessType t where
  - spr :: String -> [Text] -> t
- variadicProcess :: ProcessType r => String -> r
- class CmdArg a where
  - toTextArg :: a -> [Text]

# Documentation

class ProcessType t where Source #

Process return type.

Methods

spr :: String -> [Text] -> t Source #

#### Instances

Instances details

(r ~ (), MonadIO m) => ProcessType (Segment m r) Source # |
Instance details Defined in Data.Conduit.Shell.Variadic Methods spr :: String -> [Text] -> Segment m r Source #
(ProcessType r, CmdArg a) => ProcessType (a -> r) Source # | Accept strings as arguments.
Instance details Defined in Data.Conduit.Shell.Variadic Methods spr :: String -> [Text] -> a -> r Source #

variadicProcess :: ProcessType r => String -> r Source #

A variadic process maker.

class CmdArg a where Source #

Command line argument.

Methods

toTextArg :: a -> [Text] Source #

#### Instances

Instances details

CmdArg ByteString Source # |
Instance details Defined in Data.Conduit.Shell.Variadic Methods toTextArg :: ByteString -> [Text] Source #
CmdArg ByteString Source # |
Instance details Defined in Data.Conduit.Shell.Variadic Methods toTextArg :: ByteString -> [Text] Source #
CmdArg Text Source # |
Instance details Defined in Data.Conduit.Shell.Variadic Methods toTextArg :: Text -> [Text] Source #
CmdArg Text Source # |
Instance details Defined in Data.Conduit.Shell.Variadic Methods toTextArg :: Text -> [Text] Source #
CmdArg String Source # |
Instance details Defined in Data.Conduit.Shell.Variadic Methods toTextArg :: String -> [Text] Source #
CmdArg [ByteString] Source # |
Instance details Defined in Data.Conduit.Shell.Variadic Methods toTextArg :: [ByteString] -> [Text] Source #
CmdArg [ByteString] Source # |
Instance details Defined in Data.Conduit.Shell.Variadic Methods toTextArg :: [ByteString] -> [Text] Source #
CmdArg [Text] Source # |
Instance details Defined in Data.Conduit.Shell.Variadic Methods toTextArg :: [Text] -> [Text] Source #
CmdArg [Text] Source # |
Instance details Defined in Data.Conduit.Shell.Variadic Methods toTextArg :: [Text] -> [Text] Source #
CmdArg [String] Source # |
Instance details Defined in Data.Conduit.Shell.Variadic Methods toTextArg :: [String] -> [Text] Source #